package com.mortals.xhx.module.staff.dao.ibatis;


import com.mortals.xhx.module.staff.model.vo.StaffSummaryTopQuery;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.staff.dao.StaffPerformStatDao;
import com.mortals.xhx.module.staff.model.StaffPerformStatEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 员工绩效统计DaoImpl DAO接口
*
* @author zxfei
* @date 2023-05-17
*/
@Repository("staffPerformStatDao")
public class StaffPerformStatDaoImpl extends BaseCRUDDaoMybatis<StaffPerformStatEntity,Long> implements StaffPerformStatDao {


    @Override
    public List<StaffPerformStatEntity> getDaySummaryList(StaffSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getDaySummaryList"), query);
    }

    @Override
    public List<StaffPerformStatEntity> getMonthSummaryList(StaffSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getMonthSummaryList"), query);
    }

    @Override
    public List<StaffPerformStatEntity> getYearSummaryList(StaffSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getYearSummaryList"), query);
    }

    @Override
    public List<StaffPerformStatEntity> getDayExceptionList(StaffSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getDayExceptionList"), query);
    }

    @Override
    public List<StaffPerformStatEntity> getMonthExceptionList(StaffSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getMonthExceptionList"), query);
    }

    @Override
    public List<StaffPerformStatEntity> getYearExceptionList(StaffSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getYearExceptionList"), query);
    }
}
